<template>
    <div id="omm-sidebar-buttons" class="omm-sidebar-buttons">
        <app-button
            tooltip-text="Add root folder"
            icon="mdi-folder-plus"
            @click="addRootFolder"
        />

        <app-button
            tooltip-text="Add root note"
            icon="mdi-plus"
            @click="addRootFile"
        />
    </div>
</template>

<script>
import { defineComponent } from '@vue/composition-api';
import AppButton from "@/components/AppButton.vue";
import { createNewFile, createNewDir } from "@/utils";

export default defineComponent({
    name: "MainSidebarButtons",
    components: { AppButton },
    setup () {
        const addRootFolder = async  () => {
            await createNewDir('/');
        }

        const addRootFile = async  () => {
            await createNewFile('/')
        }

        return { addRootFolder, addRootFile }
    }
});
</script>

<style scoped>
.omm-sidebar-buttons {
    padding-left: 5px;
}
</style>
